# vim: set ft=spec: -*- rpm-spec -*-
# $Id: libcoconut,v 1.1 2004/07/14 14:29:44 raorn Exp $

%def_disable static

%define lname coconut
%define dname Coconut

Name: lib%lname
Version: 0.1.1
Release: alt1

Summary: Objective-C based on general library
Group: System/Libraries
License: GPL
Url: http://www.asahi-net.or.jp/~em7t-hmd/%dname

Source: %url/%lname-%version.tar.gz
Source1: objc.m4

Patch: %lname-0.1.1-alt-pkgconfig.patch
Patch1: %lname-0.1.1-alt-objc.patch

# Automatically added by buildreq on Wed Jul 14 2004 (-bi)
BuildRequires: doxygen gcc-objc glib2-devel libcacao-devel libobjc-devel libxml2-devel libxmlkit-devel pkgconfig

%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: autoconf_2.5 >= 2.57, automake_1.7, libtool_1.4
%set_autoconf_version 2.5
%set_automake_version 1.7
%set_libtool_version 1.4

%description
Coconut is Objective-C library based on generic Unix library. 
It is useable on Unix system (such as FreeBSD, Linux) and MacOS-X.

The library supports the following Unix libraries:
  - glib : Generic library for Gnome
  - popt : Command line parser

%package devel
Summary: Development headers for %dname
Group: Development/Objective-C
Requires: %name = %version-%release, libcacao-devel, libxmlkit-devel

%description devel
Coconut is Objective-C library based on generic Unix library. 
It is useable on Unix system (such as FreeBSD, Linux) and MacOS-X.

The library supports the following Unix libraries:
  - glib : Generic library for Gnome
  - popt : Command line parser

The %name-devel package contains the include files needed to develop
programs that use the %dname library.

%if_enabled static
%package devel-static
Summary: Static version of %dname library
Group: Development/Objective-C
Requires: %name-devel = %version-%release

%description devel-static
Static version of %dname library
%endif

%prep
%setup -q -n %dname-%version
%__cp -p %SOURCE1 macros/
%patch -p1
%patch1 -p1

%build
%__rm -rf *cache aclocal.m4 libtool
%__libtoolize --copy --force
%__aclocal -I macros
%__autoheader
%__automake --gnu --add-missing --copy
%__autoconf
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
    %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS BUGS NEWS README
%_libdir/%name.so.*

%files devel
%doc doc/api/html/*
%_includedir/%dname
%_libdir/%name.so
%_libdir/pkgconfig/%lname.pc
%_datadir/aclocal/%lname.m4

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Wed Jul 14 2004 Sir Raorn <raorn@altlinux.ru> 0.1.1-alt1
- Built for Sisyphus


